<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% groups = @user.groups.pluck(:id, :lastname) %>

<%= labelled_tabular_form_for(:user, url: { action: 'update' }, html: {method: :put}) do %>
  <section class="form--section">
    <% if groups.empty? %>
      <%= no_results_box action_url: groups_path,
                         display_action: true,
                         custom_title: t('users.groups.no_results_title_text'),
                         custom_action_text: t(:label_manage_groups)
      %>
    <% else %>
      <p><%= t('users.groups.member_in_these_groups') %></p>
    <% end %>

    <% groups.each do |id, name| %>
      <ul>
        <li><%= link_to name, edit_group_path(id) %></li>
      </ul>
    <% end %>
  </section>
<% end %>
